package jrummikub.view;

import jrummikub.model.Position;
import jrummikub.model.Stone;
import jrummikub.util.Pair;

/**
 * The view for a player's hand that displays his stones
 */
public interface IHandPanel extends IStonePanel, IClickable {
	/**
	 * Set the player's stones to display on the board
	 * 
	 * @param stones
	 *            the stones
	 */
	public void setStones(Iterable<Pair<Stone, Position>> stones);

	/**
	 * Resets the rows currently displayed
	 */
	void resetCurrentRow();
}
